privilegeTargets:
  'Neos\Flow\Security\Authorization\Privilege\Method\MethodPrivilege':
    'GesagtGetan.Inquiry:BackendInquiryControllerActions':
      matcher: 'method(GesagtGetan\Inquiry\Controller\Module\BackendInquiryController->(index|detail|delete)Action())'
    'GesagtGetan.Inquiry:InquiryApiControllerActions':
      matcher: 'method(GesagtGetan\Inquiry\Controller\Api\InquiryApiController->.*())'
    'GesagtGetan.Inquiry:Newsletter':
      matcher: 'method(GesagtGetan\Inquiry\Controller\NewsletterController->(index|unsubscribe|export)Action())'

roles:
  'Neos.Neos:AbstractEditor':
    privileges:
      -
        privilegeTarget: 'GesagtGetan.Inquiry:BackendInquiryControllerActions'
        permission: GRANT
      -
        privilegeTarget: 'GesagtGetan.Inquiry:InquiryApiControllerActions'
        permission: GRANT

  'Neos.Flow:Everybody':
    privileges:
      -
        privilegeTarget:  'GesagtGetan.Inquiry:Newsletter'
        permission: GRANT
